<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Mon May 18 20:28:04 EEST 2020 -->
<title>Restaurant</title>
<meta name="date" content="2020-05-18">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Restaurant";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../Model/Order.html" title="class in Model"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../Model/Waiter.html" title="class in Model"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?Model/Restaurant.html" target="_top">Frames</a></li>
<li><a href="Restaurant.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">Model</div>
<h2 title="Class Restaurant" class="title">Class Restaurant</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>Model.Restaurant</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>java.io.Serializable, <a href="../Model/IRestaurantProcessing.html" title="interface in Model">IRestaurantProcessing</a>, <a href="../Model/Observable.html" title="interface in Model">Observable</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">Restaurant</span>
extends java.lang.Object
implements <a href="../Model/IRestaurantProcessing.html" title="interface in Model">IRestaurantProcessing</a>, java.io.Serializable, <a href="../Model/Observable.html" title="interface in Model">Observable</a></pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../serialized-form.html#Model.Restaurant">Serialized Form</a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../Model/Restaurant.html#Restaurant--">Restaurant</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Model/Restaurant.html#createMenuItem-Model.menuitems.MenuItem-">createMenuItem</a></span>(<a href="../Model/menuitems/MenuItem.html" title="interface in Model.menuitems">MenuItem</a>&nbsp;m)</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../Model/Order.html" title="class in Model">Order</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Model/Restaurant.html#createNewOrder-int-java.lang.String-int-Model.menuitems.CompositeProduct-">createNewOrder</a></span>(int&nbsp;id,
              java.lang.String&nbsp;date,
              int&nbsp;table,
              <a href="../Model/menuitems/CompositeProduct.html" title="class in Model.menuitems">CompositeProduct</a>&nbsp;itemsOrdered)</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Model/Restaurant.html#deleteMenuItem-Model.menuitems.MenuItem-">deleteMenuItem</a></span>(<a href="../Model/menuitems/MenuItem.html" title="interface in Model.menuitems">MenuItem</a>&nbsp;m)</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Model/Restaurant.html#editMenuItem-int-java.lang.String-double-">editMenuItem</a></span>(int&nbsp;index,
            java.lang.String&nbsp;nume,
            double&nbsp;price)</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Model/Restaurant.html#generateBill-Model.Order-">generateBill</a></span>(<a href="../Model/Order.html" title="class in Model">Order</a>&nbsp;o)</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="../Model/menuitems/CompositeProduct.html" title="class in Model.menuitems">CompositeProduct</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Model/Restaurant.html#getMenu--">getMenu</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>java.util.ArrayList&lt;<a href="../Model/Order.html" title="class in Model">Order</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Model/Restaurant.html#getOrders--">getOrders</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Model/Restaurant.html#notifyObservers--">notifyObservers</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Model/Restaurant.html#register-Model.Observer-">register</a></span>(<a href="../Model/Observer.html" title="interface in Model">Observer</a>&nbsp;o)</code>&nbsp;</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Model/Restaurant.html#remove-Model.Observer-">remove</a></span>(<a href="../Model/Observer.html" title="interface in Model">Observer</a>&nbsp;o)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Restaurant--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Restaurant</h4>
<pre>public&nbsp;Restaurant()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getOrders--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getOrders</h4>
<pre>public&nbsp;java.util.ArrayList&lt;<a href="../Model/Order.html" title="class in Model">Order</a>&gt;&nbsp;getOrders()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../Model/IRestaurantProcessing.html#getOrders--">getOrders</a></code>&nbsp;in interface&nbsp;<code><a href="../Model/IRestaurantProcessing.html" title="interface in Model">IRestaurantProcessing</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Returns all orders that were made up until now</dd>
<dt><span class="simpleTagLabel">Preconditions</span></dt>
<dd>none</dd>
<dt><span class="simpleTagLabel">Postconditions</span></dt>
<dd>orders is not null</dd>
</dl>
</li>
</ul>
<a name="createMenuItem-Model.menuitems.MenuItem-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createMenuItem</h4>
<pre>public&nbsp;void&nbsp;createMenuItem(<a href="../Model/menuitems/MenuItem.html" title="interface in Model.menuitems">MenuItem</a>&nbsp;m)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../Model/IRestaurantProcessing.html#createMenuItem-Model.menuitems.MenuItem-">createMenuItem</a></code>&nbsp;in interface&nbsp;<code><a href="../Model/IRestaurantProcessing.html" title="interface in Model">IRestaurantProcessing</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>m</code> - This method adds a new dish to the menu</dd>
<dt><span class="simpleTagLabel">Preconditions</span></dt>
<dd>m must not be null</dd>
</dl>
</li>
</ul>
<a name="deleteMenuItem-Model.menuitems.MenuItem-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>deleteMenuItem</h4>
<pre>public&nbsp;void&nbsp;deleteMenuItem(<a href="../Model/menuitems/MenuItem.html" title="interface in Model.menuitems">MenuItem</a>&nbsp;m)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../Model/IRestaurantProcessing.html#deleteMenuItem-Model.menuitems.MenuItem-">deleteMenuItem</a></code>&nbsp;in interface&nbsp;<code><a href="../Model/IRestaurantProcessing.html" title="interface in Model">IRestaurantProcessing</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>m</code> - Removes a dish from the restaurant's menu</dd>
<dt><span class="simpleTagLabel">Preconditions</span></dt>
<dd>m must not be null</dd>
<dt><span class="simpleTagLabel">Postconditions</span></dt>
<dd>none</dd>
</dl>
</li>
</ul>
<a name="editMenuItem-int-java.lang.String-double-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>editMenuItem</h4>
<pre>public&nbsp;void&nbsp;editMenuItem(int&nbsp;index,
                         java.lang.String&nbsp;nume,
                         double&nbsp;price)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../Model/IRestaurantProcessing.html#editMenuItem-int-java.lang.String-double-">editMenuItem</a></code>&nbsp;in interface&nbsp;<code><a href="../Model/IRestaurantProcessing.html" title="interface in Model">IRestaurantProcessing</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>index</code> - </dd>
<dd><code>nume</code> - </dd>
<dd><code>price</code> - Edits the data of a dish from the menu</dd>
<dt><span class="simpleTagLabel">Preconditions</span></dt>
<dd>index must be an int, nume must be a String, price must be a double variable</dd>
<dt><span class="simpleTagLabel">Postconditions</span></dt>
<dd>none</dd>
</dl>
</li>
</ul>
<a name="getMenu--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMenu</h4>
<pre>public&nbsp;<a href="../Model/menuitems/CompositeProduct.html" title="class in Model.menuitems">CompositeProduct</a>&nbsp;getMenu()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../Model/IRestaurantProcessing.html#getMenu--">getMenu</a></code>&nbsp;in interface&nbsp;<code><a href="../Model/IRestaurantProcessing.html" title="interface in Model">IRestaurantProcessing</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a composite product representing the restaurant's menu</dd>
<dt><span class="simpleTagLabel">Preconditions</span></dt>
<dd>none</dd>
<dt><span class="simpleTagLabel">Postconditions</span></dt>
<dd>menu must not be null</dd>
</dl>
</li>
</ul>
<a name="createNewOrder-int-java.lang.String-int-Model.menuitems.CompositeProduct-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createNewOrder</h4>
<pre>public&nbsp;<a href="../Model/Order.html" title="class in Model">Order</a>&nbsp;createNewOrder(int&nbsp;id,
                            java.lang.String&nbsp;date,
                            int&nbsp;table,
                            <a href="../Model/menuitems/CompositeProduct.html" title="class in Model.menuitems">CompositeProduct</a>&nbsp;itemsOrdered)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../Model/IRestaurantProcessing.html#createNewOrder-int-java.lang.String-int-Model.menuitems.CompositeProduct-">createNewOrder</a></code>&nbsp;in interface&nbsp;<code><a href="../Model/IRestaurantProcessing.html" title="interface in Model">IRestaurantProcessing</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>id</code> - </dd>
<dd><code>date</code> - </dd>
<dd><code>table</code> - </dd>
<dd><code>itemsOrdered</code> - This method creates a new order and inserts it in the hash table, after
 the insertion it calls the notifyObserves() method</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>o</dd>
<dt><span class="simpleTagLabel">Preconditions</span></dt>
<dd>id must be an int, date must a be string, table should be an int, itemsOrdered must a be a composite product</dd>
<dt><span class="simpleTagLabel">Postconditions</span></dt>
<dd>o must not be null</dd>
</dl>
</li>
</ul>
<a name="generateBill-Model.Order-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>generateBill</h4>
<pre>public&nbsp;void&nbsp;generateBill(<a href="../Model/Order.html" title="class in Model">Order</a>&nbsp;o)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../Model/IRestaurantProcessing.html#generateBill-Model.Order-">generateBill</a></code>&nbsp;in interface&nbsp;<code><a href="../Model/IRestaurantProcessing.html" title="interface in Model">IRestaurantProcessing</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>o</code> - </dd>
<dt><span class="simpleTagLabel">Preconditions</span></dt>
<dd>o should not be null
 Creates a text file representing the bill for the order o</dd>
<dt><span class="simpleTagLabel">Postconditions</span></dt>
<dd>none</dd>
</dl>
</li>
</ul>
<a name="register-Model.Observer-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>register</h4>
<pre>public&nbsp;void&nbsp;register(<a href="../Model/Observer.html" title="interface in Model">Observer</a>&nbsp;o)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../Model/Observable.html#register-Model.Observer-">register</a></code>&nbsp;in interface&nbsp;<code><a href="../Model/Observable.html" title="interface in Model">Observable</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>o</code> - Add a given observer from the observer list</dd>
<dt><span class="simpleTagLabel">Preconditions</span></dt>
<dd>o should not be null</dd>
<dt><span class="simpleTagLabel">Postconditions</span></dt>
<dd>none</dd>
</dl>
</li>
</ul>
<a name="remove-Model.Observer-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>remove</h4>
<pre>public&nbsp;void&nbsp;remove(<a href="../Model/Observer.html" title="interface in Model">Observer</a>&nbsp;o)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../Model/Observable.html#remove-Model.Observer-">remove</a></code>&nbsp;in interface&nbsp;<code><a href="../Model/Observable.html" title="interface in Model">Observable</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>o</code> - Removes a given observer from the observer list</dd>
<dt><span class="simpleTagLabel">Preconditions</span></dt>
<dd>o should not be null, the observers list should not be empty</dd>
<dt><span class="simpleTagLabel">Postconditions</span></dt>
<dd>none</dd>
</dl>
</li>
</ul>
<a name="notifyObservers--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>notifyObservers</h4>
<pre>public&nbsp;void&nbsp;notifyObservers()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../Model/Observable.html#notifyObservers--">notifyObservers</a></code>&nbsp;in interface&nbsp;<code><a href="../Model/Observable.html" title="interface in Model">Observable</a></code></dd>
<dt><span class="simpleTagLabel">Preconditions</span></dt>
<dd>none
  This method notifies the obeservers(in this case the chef) when a new orderd is added by the waiter</dd>
<dt><span class="simpleTagLabel">Postconditions</span></dt>
<dd>none</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../Model/Order.html" title="class in Model"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../Model/Waiter.html" title="class in Model"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?Model/Restaurant.html" target="_top">Frames</a></li>
<li><a href="Restaurant.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
